Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.vote
Class AbstractAccessDecisionManager

    java.lang.Object
      org.acegisecurity.vote.AbstractAccessDecisionManager

All Implemented Interfaces:
  AccessDecisionManager, InitializingBean, MessageSourceAware

Direct Known Subclasses:
  AffirmativeBased, ConsensusBased, UnanimousBased

    public abstract class AbstractAccessDecisionManager

extends Object
implements AccessDecisionManager, InitializingBean, MessageSourceAware

Abstract implementation of `AccessDecisionManager`.

Handles configuration of a bean context defined list of `AccessDecisionVoter`s and the access control behaviour if all voters abstain from voting (defaults to deny access).

Field Summary
`protected MessageSourceAccessor` | `messages`

Constructor Summary
`AbstractAccessDecisionManager()`

Method Summary
`void` | `afterPropertiesSet()`
`List` | `getDecisionVoters()`
`boolean` | `isAllowIfAllAbstainDecisions()`
`void` | `setAllowIfAllAbstainDecisions(boolean allowIfAllAbstainDecisions)`
`void` | `setDecisionVoters(List newList)`
`void` | `setMessageSource(MessageSource messageSource)`
`boolean` | `supports(Class clazz)` Iterates through all `AccessDecisionVoter`s and ensures each can support the presented class.
`boolean` | `supports(ConfigAttribute attribute)` Indicates whether this `AccessDecisionManager` is able to process authorization requests presented with the passed `ConfigAttribute`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.acegisecurity.AccessDecisionManager
`decide`

Field Detail

### messages

    protected MessageSourceAccessor messages

Constructor Detail

### AbstractAccessDecisionManager

    public AbstractAccessDecisionManager()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

### getDecisionVoters

    public List getDecisionVoters()

### isAllowIfAllAbstainDecisions

    public boolean isAllowIfAllAbstainDecisions()

### setAllowIfAllAbstainDecisions

    public void setAllowIfAllAbstainDecisions(boolean allowIfAllAbstainDecisions)

### setDecisionVoters

    public void setDecisionVoters(List newList)

### setMessageSource

    public void setMessageSource(MessageSource messageSource)

  Specified by:
    `setMessageSource` in interface `MessageSourceAware`

### supports

    public boolean supports(ConfigAttribute attribute)

  Description copied from interface: `AccessDecisionManager`
  Indicates whether this `AccessDecisionManager` is able to process authorization requests presented with the passed `ConfigAttribute`.

  This allows the `AbstractSecurityInterceptor` to check every configuration attribute can be consumed by the configured `AccessDecisionManager` and/or `RunAsManager` and/or `AfterInvocationManager`.

  Specified by:
    `supports` in interface `AccessDecisionManager`
  Parameters:
    `attribute` - a configuration attribute that has been configured against the `AbstractSecurityInterceptor`
  Returns:
    true if this `AccessDecisionManager` can support the passed configuration attribute

### supports

    public boolean supports(Class clazz)

  Iterates through all `AccessDecisionVoter`s and ensures each can support the presented class.

  If one or more voters cannot support the presented class, `false` is returned.

  Specified by:
    `supports` in interface `AccessDecisionManager`
  Parameters:
    `clazz` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.